diff --git a/web/pglister/lists/templates/home.html b/web/pglister/lists/templates/home.html
index d122a4b..1fe3365 100644
--- a/web/pglister/lists/templates/home.html
+++ b/web/pglister/lists/templates/home.html
@@ -4,6 +4,9 @@
 <p>
   <a class="btn btn-lg btn-primary" href="/manage/">Manage subscriptions</a>
   <a class="btn btn-lg btn-primary" href="/unsubscribe/">Unsubscribe</a>
+{%if is_moderator%}
+  <a class="btn btn-lg btn-primary" href="/moderate/">Moderate/Manage lists</a>
+{%endif%}
   <br/><br/>
 </p>
 <p>
diff --git a/web/pglister/lists/views.py b/web/pglister/lists/views.py
index 89f7b3e..d458382 100644
--- a/web/pglister/lists/views.py
+++ b/web/pglister/lists/views.py
@@ -27,6 +27,26 @@ from lib.baselib.misc import generate_random_token
 class Home(TemplateView):
     template_name = 'home.html'
 
+    def get_context_data(self, **kwargs):
+        is_authenticated = False
+        try:
+            self.subscriber = Subscriber.objects.get(user=self.request.user)
+            is_authenticated = True
+        except Subscriber.DoesNotExist:
+            # not authenticated
+            pass
+
+        is_moderator = False
+        if is_authenticated:
+            is_moderator = exec_to_scalar("SELECT EXISTS (SELECT 1 FROM lists_list_moderators WHERE subscriber_id=%(userid)s)", {
+                'userid': self.request.user.id,
+            })
+
+        context = {
+            'is_moderator': is_moderator
+        }
+        return context
+
 
 class Manage(LoginRequired, View):
     template_name = 'manage.html'
